/*
 * @Author: wjc
 * @Date: 2021-12-13 11:29:50
 * @LastEditors: wjc
 * @LastEditTime: 2021-12-16 11:59:31
 * @Description:
 */
import { getWebViewContent, resolveHandle } from './extensionUtils'

const vscode = require('vscode')

/**
 * 插件被释放时触发
 */
export function deactivate() { }

export function activate(context) {
  context.subscriptions.push(vscode.commands.registerCommand('extension.openHuiKaiFa', () => {
    // 创建webview
    const panel = vscode.window.createWebviewPanel(
      'huikaifa',
      '绘开发',
      vscode.ViewColumn.One,
      {
        enableScripts: true, // 启用js
        retainContextWhenHidden: true // webview被隐藏时，保持状态
      }
    )
    panel.webview.html = getWebViewContent(context, 'dist/index.html')
    panel.webview.onDidReceiveMessage(msg => resolveHandle(msg, panel), undefined, context.subscriptions)
  }))
}
